import { defineComponent as y, mergeModels as g, useModel as V, onMounted as C, openBlock as t, createElementBlock as o, toDisplayString as p, createCommentVNode as v, withDirectives as $, createElementVNode as i, mergeProps as R, vModelDynamic as A, ref as S, createBlock as U, Teleport as z, normalizeClass as _, createVNode as I, unref as E, Fragment as B, renderList as M, vModelText as L, vModelCheckbox as N, vModelRadio as G, computed as H, watch as J, withModifiers as F, normalizeStyle as K, resolveDynamicComponent as Q } from "vue";
import { initFlowbite as W } from "flowbite";
import { ValidationError as X } from "yup";
const Y = { "data-testid": "base-input" }, ee = ["for"], le = ["id"], te = /* @__PURE__ */ y({
  __name: "BaseInput",
  props: /* @__PURE__ */ g({
    initialValue: {},
    name: {},
    customStyles: {},
    label: {},
    modelValue: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const { modelValue: r } = n, l = V(n, "modelValue");
    return C(() => {
      l.value = r;
    }), (e, a) => (t(), o("div", Y, [
      e.label ? (t(), o("label", {
        key: 0,
        for: e.name,
        class: "default__label"
      }, p(e.label), 9, ee)) : v("", !0),
      $(i("input", R({
        id: e.name,
        "onUpdate:modelValue": a[0] || (a[0] = (d) => l.value = d)
      }, e.$attrs, {
        class: e.customStyles || "default__input"
      }), null, 16, le), [
        [A, l.value]
      ])
    ]));
  }
});
function q(n, r) {
  return t(), o("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "currentColor",
    "aria-hidden": "true",
    "data-slot": "icon"
  }, [
    i("path", {
      "fill-rule": "evenodd",
      d: "M12.53 16.28a.75.75 0 0 1-1.06 0l-7.5-7.5a.75.75 0 0 1 1.06-1.06L12 14.69l6.97-6.97a.75.75 0 1 1 1.06 1.06l-7.5 7.5Z",
      "clip-rule": "evenodd"
    })
  ]);
}
const ae = { class: "relative" }, oe = ["for"], se = { class: "relative" }, ne = ["id", "value"], re = {
  key: 1,
  class: "absolute max-h-[250px] overflow-auto bg-white border border-gray-300 mt-1 w-full rounded-md shadow-lg z-50"
}, de = ["onClick"], ue = /* @__PURE__ */ y({
  __name: "BaseSelect",
  props: /* @__PURE__ */ g({
    selectData: {},
    name: {},
    initialValue: {},
    placeholder: {},
    label: {},
    readonly: { type: Boolean },
    customStyles: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const r = V(n, "modelValue"), l = S(!1), e = (a) => {
      l.value = !1, r.value = a;
    };
    return (a, d) => {
      var b, u;
      return t(), o("div", ae, [
        (t(), U(z, { to: "body" }, [
          l.value ? (t(), o("div", {
            key: 0,
            class: "fixed inset-0 z-0",
            onClick: d[0] || (d[0] = (s) => l.value = !1)
          })) : v("", !0)
        ])),
        a.label ? (t(), o("label", {
          key: 0,
          for: a.name,
          class: "default__label"
        }, p(a.label), 9, oe)) : v("", !0),
        i("div", se, [
          i("input", {
            id: a.name,
            value: ((u = (b = a.selectData) == null ? void 0 : b.find((s) => s.value === r.value)) == null ? void 0 : u.label) || a.placeholder || "",
            readonly: "",
            "data-testid": "base-select__input",
            class: _(a.customStyles || "default__input"),
            onFocus: d[1] || (d[1] = (s) => l.value = !0)
          }, null, 42, ne),
          I(E(q), {
            class: _(["h-5 w-auto absolute right-2.5 top-1/2 -translate-y-1/2 text-black/50 duration-200", {
              "rotate-180": l.value
            }])
          }, null, 8, ["class"])
        ]),
        l.value ? (t(), o("ul", re, [
          (t(!0), o(B, null, M(a.selectData, ({ label: s, value: m }) => (t(), o("li", {
            key: m,
            class: "p-2 hover:bg-indigo-100 cursor-pointer text-black/50 first:rounded-t-md last:rounded-b-md",
            onClick: (c) => e(m)
          }, [
            i("small", null, p(s), 1)
          ], 8, de))), 128))
        ])) : v("", !0)
      ]);
    };
  }
}), ie = ["for"], me = ["id"], ce = /* @__PURE__ */ y({
  __name: "BaseTextarea",
  props: /* @__PURE__ */ g({
    initialValue: {},
    name: {},
    label: {},
    modelValue: {},
    customStyles: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const { modelValue: r } = n, l = V(n, "modelValue");
    return C(() => {
      l.value = r;
    }), (e, a) => (t(), o("div", null, [
      e.label ? (t(), o("label", {
        key: 0,
        for: e.name,
        class: "default__label"
      }, p(e.label), 9, ie)) : v("", !0),
      $(i("textarea", R({
        id: e.name,
        "onUpdate:modelValue": a[0] || (a[0] = (d) => l.value = d)
      }, e.$attrs, {
        class: e.customStyles || "default__textarea"
      }), null, 16, me), [
        [L, l.value]
      ])
    ]));
  }
}), fe = { class: "flex items-center mb-4 cursor-pointer" }, pe = ["id"], ve = {
  key: 0,
  class: "relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-indigo-300 dark:peer-focus:ring-indigo-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-indigo-600"
}, be = ["for"], T = /* @__PURE__ */ y({
  __name: "BaseCheckbox",
  props: /* @__PURE__ */ g({
    initialValue: { type: Boolean },
    name: {},
    label: {},
    format: { default: "row" },
    isToggle: { type: Boolean },
    checkboxData: {},
    modelValue: { type: Boolean },
    customStyles: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const r = V(n, "modelValue");
    return (l, e) => (t(), o("label", fe, [
      $(i("input", {
        id: l.name,
        "onUpdate:modelValue": e[0] || (e[0] = (a) => r.value = a),
        type: "checkbox",
        class: _(`${l.customStyles || "checkbox__input"} ${l.isToggle && "hidden sr-only peer"}`)
      }, null, 10, pe), [
        [N, r.value]
      ]),
      l.isToggle ? (t(), o("div", ve)) : v("", !0),
      l.label ? (t(), o("span", {
        key: 1,
        for: l.name,
        class: "checkbox__label"
      }, p(l.label), 9, be)) : v("", !0)
    ]));
  }
}), _e = ["id", "name", "value"], ye = ["for"], he = /* @__PURE__ */ y({
  __name: "BaseRadio",
  props: /* @__PURE__ */ g({
    initialValue: {},
    name: {},
    radioData: {},
    label: {},
    format: { default: "row" },
    modelValue: {},
    customStyles: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const r = V(n, "modelValue");
    return (l, e) => (t(), o("div", {
      class: _({
        "flex flex-row gap-2.5": l.format === "row",
        "flex flex-col gap-2.5": l.format === "column"
      })
    }, [
      (t(!0), o(B, null, M(l.radioData, ({ label: a, value: d, name: b }) => (t(), o("div", {
        key: a,
        class: "flex items-center"
      }, [
        $(i("input", {
          id: d,
          "onUpdate:modelValue": e[0] || (e[0] = (u) => r.value = u),
          name: b,
          type: "radio",
          value: d,
          class: _(l.customStyles || "radio__input")
        }, null, 10, _e), [
          [G, r.value]
        ]),
        i("label", {
          for: d,
          class: "radio__label"
        }, p(a), 9, ye)
      ]))), 128))
    ], 2));
  }
}), ge = { class: "relative" }, Ve = ["for"], ke = { class: "relative overflow-auto" }, $e = ["id", "placeholder"], we = {
  key: 0,
  class: "absolute top-1/2 left-2.5 -translate-y-1/2 flex flex-wrap w-auto gap-1 text-center"
}, Se = ["onClose"], Be = {
  key: 1,
  class: "absolute top-1/2 left-2.5 -translate-y-1/2 text-indigo-500"
}, Me = {
  key: 1,
  class: "absolute max-h-[250px] overflow-auto bg-white border border-gray-300 mt-1 w-full rounded-md shadow-lg z-50"
}, Ce = ["onClick"], De = ["value"], xe = /* @__PURE__ */ y({
  __name: "BaseMultiselect",
  props: /* @__PURE__ */ g({
    initialValue: {},
    multiselectData: {},
    name: {},
    placeholder: {},
    label: {},
    required: { type: Boolean },
    disabled: { type: Boolean },
    readonly: { type: Boolean },
    modelValue: {},
    customStyles: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const { multiselectData: r, initialValue: l } = n, e = V(n, "modelValue"), a = S(!1), d = H(
      () => r.filter(({ value: u }) => {
        var s;
        return (s = e.value) == null ? void 0 : s.includes(u);
      })
    ), b = (u) => {
      var s, m;
      e.value = (s = e.value) != null && s.includes(u) ? (m = e.value) == null ? void 0 : m.filter((c) => c !== u) : [...e.value, u];
    };
    return C(() => e.value = l), (u, s) => (t(), o("div", ge, [
      (t(), U(z, { to: "body" }, [
        a.value ? (t(), o("div", {
          key: 0,
          class: "fixed inset-0 z-0",
          onClick: s[0] || (s[0] = (m) => a.value = !1)
        })) : v("", !0)
      ])),
      u.label ? (t(), o("label", {
        key: 0,
        for: u.name,
        class: "default__label"
      }, p(u.label), 9, Ve)) : v("", !0),
      i("div", ke, [
        i("input", {
          id: u.name,
          readonly: "",
          "data-testid": "base-select__input",
          placeholder: d.value.length ? "" : u.placeholder,
          class: _(u.customStyles || "default__input"),
          onFocus: s[1] || (s[1] = (m) => a.value = !0)
        }, null, 42, $e),
        I(E(q), {
          class: _(["h-5 w-auto absolute right-2.5 top-1/2 -translate-y-1/2 text-black/50 duration-200", {
            "rotate-180": a.value
          }])
        }, null, 8, ["class"]),
        d.value.length < 5 ? (t(), o("ul", we, [
          (t(!0), o(B, null, M(d.value, ({ label: m, value: c }, k) => (t(), o("li", {
            key: k,
            "data-testid": "base-dropdown__chip",
            class: "multiselect__chip",
            onClose: (h) => b(String(c))
          }, [
            i("small", null, p(m), 1)
          ], 40, Se))), 128))
        ])) : (t(), o("small", Be, p(d.value.length) + " items selected ", 1))
      ]),
      a.value ? (t(), o("ul", Me, [
        (t(!0), o(B, null, M(u.multiselectData, ({ label: m, value: c }, k) => (t(), o("li", {
          key: k,
          "data-testid": "base-dropdown__list-item",
          class: "p-2 hover:bg-indigo-100 cursor-pointer first:rounded-t-md last:rounded-b-md flex gap-2.5",
          onClick: (h) => b(c)
        }, [
          $(i("input", {
            "onUpdate:modelValue": s[2] || (s[2] = (h) => e.value = h),
            type: "checkbox",
            value: c,
            class: "w-4 h-4 text-indigo-600 bg-dark border-dark rounded hover:bg-indigo-100"
          }, null, 8, De), [
            [N, e.value]
          ]),
          i("small", null, p(m), 1)
        ], 8, Ce))), 128))
      ])) : v("", !0)
    ]));
  }
}), Oe = (n, r) => {
  const l = n.__vccOpts || n;
  for (const [e, a] of r)
    l[e] = a;
  return l;
}, Re = /* @__PURE__ */ Oe(xe, [["__scopeId", "data-v-5840eda2"]]), Ue = { "data-testid": "slider" }, Ee = ["for"], Fe = ["id"], Te = /* @__PURE__ */ y({
  __name: "BaseSlider",
  props: /* @__PURE__ */ g({
    initialValue: {},
    name: {},
    customStyles: {},
    label: {},
    modelValue: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const { modelValue: r } = n, l = V(n, "modelValue");
    return C(() => {
      l.value = r;
    }), (e, a) => (t(), o("div", Ue, [
      e.label ? (t(), o("label", {
        key: 0,
        for: e.name,
        class: "default__label"
      }, p(e.label), 9, Ee)) : v("", !0),
      $(i("input", {
        id: e.name,
        "onUpdate:modelValue": a[0] || (a[0] = (d) => l.value = d),
        "data-testid": "slider__input",
        type: "range",
        class: _(e.customStyles || "slider__input")
      }, null, 10, Fe), [
        [L, l.value]
      ])
    ]));
  }
}), ze = {
  input: te,
  select: ue,
  multiselect: Re,
  textarea: ce,
  checkbox: T,
  groupCheckbox: T,
  radio: he,
  slider: Te
  // file: BaseFile,
}, Ie = {
  key: 0,
  class: "text-red-500"
}, Pe = /* @__PURE__ */ y({
  __name: "VueFormLatte",
  props: {
    components: {},
    dark: { type: Boolean },
    format: { default: "column" },
    schema: {},
    validateOnSubmit: { type: Boolean, default: !0 },
    validateOnBlur: { type: Boolean }
  },
  emits: ["submit"],
  setup(n, { expose: r, emit: l }) {
    const { components: e, schema: a, validateOnSubmit: d, validateOnBlur: b } = n, u = l, s = S({}), m = S(null), c = S({}), k = async () => {
      try {
        await h();
      } catch (f) {
        throw new Error("FORM_SUBMIT_ERROR", f);
      } finally {
        u("submit", {
          values: { ...s.value },
          errors: { ...c.value }
        });
      }
    }, h = async () => {
      try {
        await a.validate(s.value, { abortEarly: !1 }), c.value = {};
      } catch (f) {
        f instanceof X && (c.value = f.inner.reduce(
          (D, { path: x, message: O }) => ({ ...D, [x]: O }),
          {}
        ));
      }
    };
    return C(() => {
      e.forEach(({ props: f }) => s.value[f.name] = f.initialValue), W();
    }), J(
      s,
      () => {
        d || h();
      },
      { deep: !0 }
    ), r({ formRef: m, model: s, onSubmit: k }), (f, D) => (t(), o("form", {
      ref_key: "formRef",
      ref: m,
      class: _(["gap-5", {
        "grid grid-cols-12": f.format === "grid",
        "flex flex-col": f.format === "column"
      }]),
      onBlur: D[0] || (D[0] = F((x) => b && h, ["prevent"])),
      onSubmit: F(k, ["prevent"])
    }, [
      (t(), o(B, null, M(e, ({ componentType: x, customComponent: O, colspan: P, props: w }, Z) => i("div", {
        key: Z,
        style: K({
          "grid-column": f.format === "grid" ? `span ${P || 12}` : "none",
          "align-self": f.format === "grid" ? "start" : "none"
        })
      }, [
        (t(), U(Q(O || E(ze)[x]), R({
          modelValue: s.value[w.name],
          "onUpdate:modelValue": (j) => s.value[w.name] = j
        }, w), null, 16, ["modelValue", "onUpdate:modelValue"])),
        c.value[w.name] ? (t(), o("small", Ie, p(c.value[w.name]), 1)) : v("", !0)
      ], 4)), 64))
    ], 34));
  }
});
export {
  Pe as VueFormLatte
};
//# sourceMappingURL=vue-form-latte.es.js.map
